8 Star 14 Fork 1

范围兄 / better-vue-error-plugin

Create your Gitee Account
Explore and code with more than 6 million developers,Free private repositories !:)
Sign up
Clone or download
Cancel
Notice: Creating folder will generate an empty file .keep, because not support in Git
Loading...
README.md

简体中文 | English

Better Vue Error Plugin

🔌 A Webpack plugin make the errors of Vue concise

Effect

Before

before

After

Concise message

after01

Expand to view details

after02

Installation

npm i -D better-vue-error-plugin

Usage

// "webpack.config.js"
const BetterVueErrorPlugin = require('better-vue-error-plugin');

module.exports = {
    // ...
    plugins: [
        new BetterVueErrorPlugin(),
        // ...
    ],
}

Dependency

  1. @babel/traverse: ^7.0.0
  2. webpack: >=4.0.0
  3. vue: >2.4.0

Parameter

Property Type Default Explanation
moduleName string "vue" The name of the target module

Example

new BetterVueErrorPlugin({
    moduleName: 'vue',
});

Contact

  1. WeChat: ambit_tsai
  2. QQ Group: 663286147
  3. E-mail: ambit_tsai@qq.com

Comments ( 4 )

Sign in for post a comment

About

🔌 使 Vue 错误变得简洁的 Webpack 插件 spread retract
JavaScript and 2 more languages
Apache-2.0
Cancel

Releases

No release

Gitee Metrics

Contributors

All

Activities

load more
can not load any more
JavaScript
1
https://gitee.com/ambit/better-vue-error-plugin.git
git@gitee.com:ambit/better-vue-error-plugin.git
ambit
better-vue-error-plugin
better-vue-error-plugin
main

Search

103611 48b8ff67 1899542 103622 4d02230c 1899542